Do not miss any Textline API changes, ever again

Subscribe to the Textline API changelog to be up to date on recent changes.

RSS

Sep 18, 2026

main
1.2.0
Compare
1.2.0

API structure has changed

16 structure changes including:
6 Breaking changes
10 Additions
1 Modification
5 Removals
Modified 1 Breaking
GET /api/conversations.json
  • Path went from /api/reporting/conversations.json to /api/conversations.json (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • conversations, meta properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • conversation, posts properties Added
  • Query
  • after_uuid, before_uuid, group_uuid, page, page_size, phone_number query parameters Added
Removed 5 Breaking
GET /api/conversations.json
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
GET /api/customers.json
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/announcements.json
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/conversation/{uuid}.json
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
POST /api/conversations.json
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Added 10
GET /api/customers.json
POST /api/announcements.json
POST /api/conversation/{uuid}.json
POST /api/conversations.json
POST conversation_status_changewebhook
POST customer_updatedwebhook
POST new_customer_postwebhook
POST new_outbound_postwebhook
POST new_whisperwebhook
POST user_status_changewebhook